# ai_tilelist.hpp File Reference

List tiles. More...

`#include "ai_abstractlist.hpp"`
`#include "ai_station.hpp"`

Go to the source code of this file.

## Data Structures
class | AITileList
| Creates an empty list, in which you can add tiles. More...
class | AITileList_IndustryAccepting
| Creates a list of tiles that will accept cargo for the given industry. More...
class | AITileList_IndustryProducing
| Creates a list of tiles which the industry checks to see if a station is there to receive cargo produced by this industry. More...
class | AITileList_StationType
| Creates a list of tiles which have the requested StationType of the StationID. More...

## Detailed Description

List tiles.

Definition in file ai_tilelist.hpp.